=== kioslaves/CMakeLists.txt ===
include_directories(../libk3b/tools/ ../libk3b/ ../libk3b/core/)
add_subdirectory( videodvd )
