=== plugins/CMakeLists.txt ===
add_subdirectory( decoder )
add_subdirectory( encoder )
add_subdirectory( project )
