=== debian/changelog ===
k3b (2.0.3-0ubuntu5) xenial; urgency=medium

  * debian/patches/cmake-duplicate-doc.diff:
    - Fix FTBFS

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Mar 2016 12:35:36 +1300

k3b (2.0.3-0ubuntu4) xenial; urgency=medium

  * debian/patches/audio_video_categories.diff:
    - Add to the Audio and Video categories (LP: #1558346)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Mar 2016 11:57:02 +1300

k3b (2.0.3-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libflac++6v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:41:46 +0000

k3b (2.0.3-0ubuntu2) vivid; urgency=medium

  * Update headers in kubuntu_02_kubuntu_restricted.diff
  * Fix K3B -> K3b typo in kubuntu_02_kubuntu_restricted.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Apr 2015 18:30:09 +0200

k3b (2.0.3-0ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_01_no_system_settings.diff
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.
  * New upstream release. 
    - Remove patches applied upstream:
      Fixed_compilation_with_new_FFMPEG.patch
      114_bug587996_bdr_capacity_fix.diff
      k3bsetup-put-the-shebang-in-the-first-line.patch
      fix-sox-detection-with-sox-14.4.0.patch
      Fix-K3B-to-build-with-recent-FFMPEG-versions.patch
      Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch
    - Remove patches that do not apply:
      k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch
      This was rewritten using switch case and this patch
      could not be applied in any way, if it is even required anymore.
      ffmpeg-more.diff
      Code was rewritten upstream and this patch could not be applied in
      any way.
    - Recreated kubuntu_05_no_system_settings.diff (could not get it
      to apply) as kubuntu_01_no_system_settings.diff and
      included DEP3 headers.
    - Added DEP3 Headers for the remain kubuntu_* patches.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 06 Nov 2014 03:17:08 +0000

k3b (2.0.2-8) unstable; urgency=medium

  * Team upload.
  * Add udisks2 to depends (Closes: #730130)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Oct 2014 10:26:36 -0400

k3b (2.0.2-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable the FFmpeg plugin (Closes: #739312)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 13 May 2014 07:18:52 -0400

k3b (2.0.2-7ubuntu2) utopic; urgency=medium

  * Add -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF to fix compile LP: #1332591

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jun 2014 18:04:34 +0100
