## k3b 2.0.3a

=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(ca)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(et)
add_subdirectory(en_US)
add_subdirectory(nl)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(pt_BR)
