=== libk3b/tools/CMakeLists.txt ===

install( FILES
  k3bwavefilewriter.h
  k3bbusywidget.h
  k3bdeviceselectiondialog.h
  k3bmd5job.h
  k3bstringutils.h
  k3bdevicecombobox.h
  k3bstdguiitems.h
  k3bvalidators.h
  k3bthroughputestimator.h
  k3biso9660.h
  k3bmultichoicedialog.h
  k3bdevicehandler.h
  k3bcdparanoialib.h
  k3blistview.h
  k3bmsfedit.h
  k3bcdtextvalidator.h
  k3bintvalidator.h
  k3bexceptions.h
  k3bprogressdialog.h
  k3bpushbutton.h
  k3blistviewitemanimator.h
  k3bthreadwidget.h
  k3bsignalwaiter.h
  k3biso9660backend.h
  k3bdirsizejob.h
  k3bchecksumpipe.h
  k3bintmapcombobox.h
  k3brichtextlabel.h
  k3bactivepipe.h
  k3bfilesplitter.h
  k3bfilesysteminfo.h
  k3bmedium.h
  k3bmediacache.h
  k3bcddb.h
  k3bprocess.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
