=== libk3b/projects/videocd/extra/CMakeLists.txt ===
install( FILES  k3bphotovcd.mpg k3bphotosvcd.mpg DESTINATION ${DATA_INSTALL_DIR}/k3b/extra )
