=== debian/changelog ===
k3b (2.0.3a-2) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmap, since k3b already provides a .desktop file.
  * Backport upstream commit 840121f0c0ecb5c1fc6324653b795fb7cba60deb to fix
    build with FFmpeg 2.9 and greater; patch
    upstream_Fixed-compilation-on-newer-ffmpeg-libav.patch (Closes: #807853)
  * Fix typos in README.Debian.
  * Update Vcs-Browser field.
  * Backport upstream commit d5b1016e6a4c1dfcf681ce33ea9ffdd0dd5daf24 to fix
    build with GCC 6; patch
    upstream_Fix-build-failure-when-compiling-with-GCC-5.patch
    (Closes: #811735)
  * With this upload, k3b should hopefully be back in testing.
    (Closes: #825440)
  * Remove k3b-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jul 2016 10:34:46 +0200

k3b (2.0.3a-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #778736)
  * Update the patches:
    - Fixed_compilation_with_new_FFMPEG.patch: drop, backported from upstream
    - 103_kdepotpath.diff: drop, unapplied and no more needed since the KDE 4
      porting
    - 113_initial_preference.diff: refresh
    - 114_bug587996_bdr_capacity_fix.diff: drop, fixed upstream
    - k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch: drop,
      backported from upstream
    - k3bsetup-put-the-shebang-in-the-first-line.patch: drop, backported from
      upstream
    - fix-sox-detection-with-sox-14.4.0.patch: drop, backported from upstream
    - Fix-K3B-to-build-with-recent-FFMPEG-versions.patch: drop, backported from
      upstream
    - ffmpeg-more.diff: drop, fixed upstream
    - Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch: drop, backported
      from upstream
  * Fix build, avoid adding the same subdirectory twice; patch
    cmake-duplicate-doc.diff.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Re-enable the FFmpeg plugin, as it builds fine again:
    - install k3bffmpegdecoder.desktop in k3b-data
    - install k3bffmpegdecoder.so in libk3b6-extracodecs
    - stop passing -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF as cmake argument in
      rules
  * Install all the translated documentations in k3b-i18n.
  * Update watch file.
  * Remove the custom dh_builddeb handling in rules, as now the default
    compression is xz.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Dec 2015 13:54:46 +0100
