=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: k3b
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
@@ -10,20 +9,19 @@
  libqtwebkit-dev, libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
  shared-mime-info, libvorbis-dev, libcam-dev [kfreebsd-any],
  libmp3lame-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.k3b.org
-X-Vcs-Debian-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
-X-Vcs-Debian-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/k3b/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/k3b/trunk/
 
 Package: k3b
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
  wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
-Recommends: dvd+rw-tools, vcdimager, growisofs, libk3b6-extracodecs
+Recommends: libk3b6-extracodecs, dvd+rw-tools, vcdimager, growisofs
 Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
- kde-config-cddb,
- libk3b6-extracodecs
+ kde-config-cddb
 Replaces: k3b-data (<< 1.66.0~alpha2-1)
 Description: Sophisticated CD/DVD burning application
  K3b provides a comfortable user interface to perform most CD/DVD burning
@@ -102,17 +100,3 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.
-
-Package: k3b-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: k3b (= ${binary:Version}), ${misc:Depends}
-Description: Sophisticated CD/DVD burning application - debugging symbols
- K3b provides a comfortable user interface to perform most CD/DVD burning
- tasks. While the experienced user can take influence in all steps
- of the burning process the beginner may find comfort in the automatic settings
- and the reasonable k3b defaults which allow a quick start.
- .
- This package contains the debugging symbols associated with k3b. They will
- automatically be used by gdb for debugging k3b-related issues.
