=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_strip:
	dh_strip --dbgsym-migration='k3b-dbg (<< 2.0.3a-2~)'

.PHONY: override_dh_auto_test
