=== debian/watch ===
version=3
http://download.kde.org/stable/k3b/k3b-(.+)\.tar\.xz
