## k3b 2.0.3a+git20170325

=== debian/changelog ===
k3b (2.0.3a+git20170325-0ubuntu2) zesty; urgency=medium

  * Make sure that wodim (for /usr/bin/cdrecord) is installed as
    dependency, as this still seems to be needed for 'on-the-fly' burning.
    New better support for cdrskin is not enough. (LP: #1680711)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Apr 2017 10:19:43 +0100

k3b (2.0.3a+git20170325-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - minor bugfixes, and translation updates in
    appstream data and desktop files.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 03 Apr 2017 19:33:53 +0100

k3b (2.0.3a+git20170320-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - now fixes from stable branch.
  * Remove now optional qt5webkit build depend. Better display of disk
    info as a result.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Mar 2017 15:36:45 +0000

k3b (2.0.3a+git20170318-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - bugfixes only.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Mar 2017 17:20:40 +0000

k3b (2.0.3a+git20170215-0ubuntu2) zesty; urgency=medium

  * Update kubuntu_07_quicklists.diff patch to fix quicklists in plasma
    & unity

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Mar 2017 17:28:55 +0000

k3b (2.0.3a+git20170215-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Port packaging to KF5, with help from KDE Neon
    - Thanks JR :)
  * Add runtime dep on cdrskin

  [ Rik Mills ]
  * Initial preparation for KF5 port: disable old patches from KDE4 version.
  * Update and re-enable patches:
    - 101_rename_normalize.diff: so the renamed ubuntu normalize-audio
      binary can be found.
    - 110_disable_no_problems_found_popup.diff: update for KF5.
  * Drop obsolete patches:
    - 113_initial_preference.diff: Now applied upstream to desktop files
    - cmake-duplicate-doc.diff: No longer needed after upstream KF5 port
  * New upstream snapshot - port to KDE Frameworks 5 (KF5) & pre-release
    of upcoming version to be included in KDE Applications 17.04.

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 16 Feb 2017 10:04:27 +0000
