=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# packages to compress as xz
pkgs_xz := k3b-data k3b-i18n

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF

override_dh_builddeb:
	dh_builddeb $(addprefix -p,$(pkgs_xz)) -- -Zxz
	dh_builddeb --remaining-packages

.PHONY: override_dh_auto_test
