## k3b 17.04.0

=== debian/changelog ===
k3b (17.04.0-0ubuntu1) zesty; urgency=medium

  * New upstream release (17.04.0) 
    - Restores translations missed from previous snapshot, but included
      in the release tarball (LP: #1683125)
    - Upstream commits from previous git snapshot (2.0.3a+git20170325)
      are 2 bumps of the application version in cmake, 2 additions 
      of appstream data translations and change to an as yet unused test. 

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Apr 2017 15:56:12 +0100
