## k3b 17.08.0

=== debian/changelog ===
k3b (17.08.0-0ubuntu1) artful; urgency=medium

  * New upstream release (17.08.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 22 Aug 2017 11:54:18 +0100

k3b (17.04.3-0ubuntu2) artful; urgency=medium

  * Don't suggest movixmaker-2. Has not existed in the archive since trusty

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Aug 2017 15:37:46 +0100

k3b (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:04 +0100

k3b (17.03.80-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream beta release (17.03.80)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Mar 2017 21:00:21 +0100
