=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev,
-               libkf5cddb-dev,
+               libkf5cddb-dev (>= 4:17.04.3~),
                libkf5config-dev,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
@@ -65,7 +65,6 @@
 Suggests: k3b-extrathemes,
           k3b-i18n,
           kde-config-cddb,
-          movixmaker-2,
           normalize-audio,
           sox
 Description: Sophisticated CD/DVD burning application
